"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.TSUniqueError = void 0;
const commons_1 = require("./commons");
class TSUniqueError extends Error {
    constructor(message) {
        super(message);
    }
    static genericError() {
        if (!(0, commons_1.$ok)(this.__genericInstance)) {
            this.__genericInstance = new TSUniqueError('GENERICSINGLETONERROR');
        }
        return this.__genericInstance;
    }
    static esError() {
        if (!(0, commons_1.$ok)(this.__esInstance)) {
            this.__esInstance = new TSUniqueError('ESSINGLETONERROR');
        }
        return this.__esInstance;
    }
}
exports.TSUniqueError = TSUniqueError;
//# sourceMappingURL=tserrors.js.map